Skip to main content

Create new user

POST 

/qsystem/rest/config/aaa/users

Create new user

curl -i -u user:password -X POST -H 'Content-type: application/json' http://ip:port/qsystem/rest/config/aaa/users -d '{"userName":"test1","password":"MyPassword10","firstName":"John","lastName":"Doe","pinCode":null,"language":1, "imageUrl":null,"status":"ACTIVE","branchHierarchyRoot":1,"branches":[1],"branchGroups":[51,50,1,52],"roles":[3], "data":{"label.phone":"+46123456789","label.email":"test@qmatic.com"}}'

userName: Must match system defined validation pattern for username password: Password must be specified for new users and must match system defined validation pattern. branchHierarchyRoot: Branch hierarchy root where all branches and groups reside that are defined for user. branches: Branches that the user has access to. This can be left empty if branch is inside a branch group. branchGroups: Branch groups with branches that user shall have access to. Defining a parent group will include all subgroups within. data: Key value pairs with additional properties to set for user.

@summary Create user

Request​

Responses​